POST/runrateshop

Create Runrateshop

This API call executes the RateShop to retrieve rates based on the configuration parameters defined during the RateShop creation. The only mandatory parameter is the rateshop ID. While all request parameters can be set at the time of RateShop creation, you may opt to define certain parameters, such as the horizon, hotel code, source code, and comp sets, at runtime. Even if these parameters were set during creation, they can still be overridden during execution.

queueid - A unique ID generated upon successful execution of the RateShop, used to check the queue status and retrieve rate data via the API.
approximatetime - The estimated time to process the RateShop, in seconds.
POST/runrateshop

Parameter Details

NameInTypeRequiredDescription
bodybodyRequirednone

Responses

StatusMeaningDescriptionSchema
200OKSuccess
400Bad RequestBad RequestNone
401UnauthorizedAuthentication Failed or Account validity expiredNone
500Internal Server ErrorInternal server errorNone

Example Request

# You can also use wget
curl -X POST /runrateshop \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer {access-token}'

Body parameter

{
  "rateshopid": 0,
  "startdate": "2019-08-24",
  "horizon": 0,
  "horizonexpression": "string",
  "sources": [0],
  "hotelcodes": [0],
  "compsets": [
    {
      "hotelcode": 0,
      "competitorhotelcodes": [0]
    }
  ]
}

Example responses

200 Response
{
  "queueid": 0,
  "approximatetime": "string",
  "status_code": 0,
  "status_msg": "string"
}

Example Request

{
  "rateshopid": 3510
}

Need Support?

Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.